/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCanvasPattern_H__
#define __GdomCanvasPattern_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCanvasPattern GdomCanvasPattern;
typedef struct _GdomCanvasPatternClass GdomCanvasPatternClass;


#define GDOM_TYPE_CANVAS_PATTERN            (gdom_canvas_pattern_get_type())
#define GDOM_CANVAS_PATTERN(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CANVAS_PATTERN, GdomCanvasPattern))
#define GDOM_CANVAS_PATTERN_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CANVAS_PATTERN, GdomCanvasPattern)Class)
#define GDOM_IS_CANVAS_PATTERN(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CANVAS_PATTERN))
#define GDOM_IS_CANVAS_PATTERN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CANVAS_PATTERN))
#define GDOM_CANVAS_PATTERN_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CANVAS_PATTERN, GdomCanvasPatternClass))

typedef struct _GdomCanvasPatternPrivate GdomCanvasPatternPrivate;

struct _GdomCanvasPattern {
    GdomDOMObject parent_instance;
    GdomCanvasPatternPrivate *priv;
};

struct _GdomCanvasPatternClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_canvas_pattern_get_type (void);

G_END_DECLS

#endif /* __GdomCanvasPattern_H__ */
